Subject: bug#9563: dired-copy-filename-as-kill doesn't copy file names to PRIMARY selection

From: Juri Linkov <[email-masked]>
Date: Sat, 14 Jul 2012 12:37:10 +0300

> Granted, Emacs has more ways to "silently" put things on the clipboard
> or primary selection, i.e. without having to drag the mouse first.  But
> I think it is overstepping the bounds of expectation for us to clobber
> the primary selection while putting text in the clipboard, just to
> prevent the user from doing something that might or might not be an
> error (e.g. the user may really want to paste the primary selection).

Yes, there are more ways to screw up things.  For instance, C-k
puts text only on the clipboard that can't be pasted to xterm, etc.
So e.g. typing C-k in Emacs on X can't yank that text with C-y
in another Emacs instance in xterm.  Too bad.

Perhaps changing the default value of `x-select-enable-primary' to t
(and keeping `x-select-enable-clipboard' t by default)
will help to avoid these problems.